Channel::Buffered(T) -

# class Channel::Buffered(T)

- Channel::Buffered(T)
- Channel(T)
- Reference
- Object

## Overview

Buffered channel, using a queue.

## Defined in:

## Constructors

- .new(capacity = 32)

## Instance Method Summary

- #empty?
- #full?
- #send(value : T)

  Send a value to the channel.

### Instance methods inherited from class `Channel(T)`

close close, closed? closed?, inspect(io : IO) : Nil inspect, pretty_print(pp) pretty_print, receive receive, receive? receive?

### Constructor methods inherited from class `Channel(T)`

new(capacity) : Channel::Buffered(T)
new : Channel::Unbuffered(T) new

### Class methods inherited from class `Channel(T)`

receive_first(channels : Tuple | Array)
receive_first(*channels) receive_first, select(ops : Tuple | Array, has_else = false)
select(*ops : SelectAction) select, send_first(value, channels : Tuple | Array)
send_first(value, *channels) send_first

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(capacity = 32) #

## Instance Method Detail

def empty? #
def full? #
def send(value : T) #

Send a value to the channel.